List commissions
Returns commissions earned by affiliates across all merchant campaigns. Supports filters on affiliate, campaign and status.
Returns commissions earned by affiliates across all merchant campaigns. Supports filters on affiliate, campaign and status.
Authorization
bearerAuth AuthorizationBearer <token>
API key issued from the merchant dashboard (prefix rc_live_ / rc_test_). Sent as Authorization: Bearer <token>. Used by the SDK and any direct server-to-server integration.
In: header
Query Parameters
limit?|
Page size, clamped to 100.
offset?|
Number of items to skip.
affiliate_id?|
Filter by affiliate id.
campaign_id?|
Filter by campaign id.
from?|
ISO-8601 date lower bound.
to?|
ISO-8601 date upper bound.
min_amount?|
Minimum commission amount.
max_amount?|
Maximum commission amount.
status?|
Filter by commission status.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://app.refcampaign.com/api/v1/commissions"Empty
{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": null
},
"meta": {
"timestamp": "2019-08-24T14:15:22Z",
"requestId": "string"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": null
},
"meta": {
"timestamp": "2019-08-24T14:15:22Z",
"requestId": "string"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": null
},
"meta": {
"timestamp": "2019-08-24T14:15:22Z",
"requestId": "string"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": null
},
"meta": {
"timestamp": "2019-08-24T14:15:22Z",
"requestId": "string"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": null
},
"meta": {
"timestamp": "2019-08-24T14:15:22Z",
"requestId": "string"
}
}